: Class BerkeleyStore

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## grendel.storage
Class BerkeleyStore

    java.lang.Object
      |
      +--javax.mail.Service
            |
            +--javax.mail.Store
                  |
                  +--grendel.storage.BerkeleyStore

public class BerkeleyStore
extends javax.mail.Store

Store for Berkeley mail folders.

This class really shouldn't be public, but I haven't figured out how to tie into javamail's Session class properly. So, instead of using `Session.getStore(String)`, you instead need to call `BerkeleyStore.GetDefaultStore(Session)`.

(edwin)BerkeleyStore.GetDefaultStore(Session) has been removed to support multiple berkeley stores. You should construct a berkeley store via the normal way or ask grendel.ui.StoreFactory for a list of available BerkeleyStore's.

Field Summary
`protected javax.mail.Folder` | `defaultFolder`

Fields inherited from class javax.mail.Service
`debug, session, url`

Constructor Summary
`BerkeleyStore(javax.mail.Session s, javax.mail.URLName u)`

Method Summary
`void` | `close()`
`void` | `connect()`
`void` | `connect(java.lang.String host, java.lang.String user, java.lang.String password)`
`javax.mail.Folder` | `getDefaultFolder()`
`javax.mail.Folder` | `getFolder(java.lang.String name)`
`javax.mail.Folder` | `getFolder(java.net.URL url)`
`javax.mail.Folder` | `getFolder(javax.mail.URLName urlName)`

Methods inherited from class javax.mail.Store
`addFolderListener, addStoreListener, notifyFolderListeners, notifyFolderRenamedListeners, notifyStoreListeners, removeFolderListener, removeStoreListener`

Methods inherited from class javax.mail.Service
`addConnectionListener, connect, finalize, getURLName, isConnected, notifyConnectionListeners, protocolConnect, queueEvent, removeConnectionListener, setConnected, setURLName, toString`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### defaultFolder

    protected javax.mail.Folder defaultFolder

Constructor Detail

### BerkeleyStore

    public BerkeleyStore(javax.mail.Session s,
                         javax.mail.URLName u)

Method Detail

### connect

    public void connect(java.lang.String host,
                        java.lang.String user,
                        java.lang.String password)

  Overrides:
    connect in class javax.mail.Service

### connect

    public void connect()

  Overrides:
    connect in class javax.mail.Service

### close

    public void close()

  Overrides:
    close in class javax.mail.Service

### getDefaultFolder

    public javax.mail.Folder getDefaultFolder()

  Overrides:
    getDefaultFolder in class javax.mail.Store

### getFolder

    public javax.mail.Folder getFolder(java.lang.String name)
                                throws javax.mail.MessagingException

  Overrides:
    getFolder in class javax.mail.Store

### getFolder

    public javax.mail.Folder getFolder(java.net.URL url)

### getFolder

    public javax.mail.Folder getFolder(javax.mail.URLName urlName)

  Overrides:
    getFolder in class javax.mail.Store

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD